const listarPersonal = (selectorName) => {
	initSelect2(selectorName, baseURLRest + URI_TRABAJADORES, {title: "nombresapellidos", subtitle: "documentoidentidad"});
};

const listarCargos = (selectorName) => {
	initSelect2(selectorName, baseURLRest + URI_CARGOS, {title: "descripcion", subtitle: "descripcion"});
};

$(() => {
	let options = {
		moveOnSelect: false,
		infoText: 'Mostrando todos {0}',
		infoTextFiltered: '<span class="label label-warning">Filtrado</span> {0} de {1}',
		infoTextEmpty: `<span class="text-danger">La lista está vacía</span>`,
		filterPlaceHolder: 'Buscar por nombre',
		filterTextClear: 'Mostrar todos',
		preserveSelectionOnMove: 'moved',
		moveOnSelect: false
	}
	$('.listbox-no-selection').bootstrapDualListbox(options);
	listarPersonal("#cboPersonalFiltro");
	listarCargos("#cboCargoFiltro");
});